Subject: [6lo] Comments on draft-ietf-6lo-nfc-03

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Wed, 18 May 2016 09:47:46 +0200

Dear authors of draft-ietf-6lo-nfc-03,

I have a few comments about this draft:

1. "Simple multi-hop topology"
******************************

In 4.2 and 4.5 you mention that NFC networks may follow the "peer-to-peer
topology and simple multi-hop topology". I think the multi-hop topology
requires a little bit of clarification:

- What is understood as a "simple multi-hop topology" as opposed to the
"complicated mesh topology" mentioned in the document?

- Would the simple multi-hop topology follow the mesh-under or the
route-over approach?

- Does NFC define mechanisms for the formation of multi-hop topologies?

(Depending on the responses, the multi-hop functionality in RFC 6775 may
be needed.)

2. Fragmentation
****************

In section 3.2, you mention:

  "Since LLCP does not support fragmentation and reassembly, upper layers
   SHOULD support fragmentation and reassembly."

However, section 4.8 says that RFC 4944 fragmentation is not required. Is
maybe the text in section 3.2 pending an update?

3. Minor
********

Section 4, 4th line: s/BT-LE/NFC

Thanks!

Carles

---

From: 최영환 <[email-masked]>
Date: Thu, 19 May 2016 05:04:03 +0000

Thanks a lot for your comments. 

I'm Younghwan Choi, one of the authors of I-D., draft-ietf-6lo-nfc-03. 

1. about simple multi-hop topology..

First of all, NFC supports only direct connections between two devices in link layers. For the connections, three types of the NFC modes, "p2p, tag read/write, card emulation mode" can be used. However, ipv6-over-nfc can be only achieved by p2p mode ("p2p mode" is just named by  NFC-Forum (http://nfc-forum.org/what-is-nfc/what-it-does/, this is a little bit different from "p2p communications between two endpoints in network layers" we usually say).  If needed, I'm going to reflect your comment to clarify meaning of p2p in NFC-forum in next version (-04). Thanks. :)
Thus, p2p mode in NFC-Forum does not mean multi-hop topology. However, by using ipv6-over-nfc adaptation layer, we can make multi-hop topologies with 3 or more nfc-enabled devices with routing-over approach.

2. about Fragmentation.. 

At the beginning of this draft, we didn't think of extended MTU in NFC link layer. So NFC link layer should be supported from ipv6-over-nfc fragmentation schemes at that time. However, at the 3rd version (-02) of the draft, contexts about extended MTU of NFC were added, and FAR was not necessary any more. At that time, "Since LLCP does not support fragmentation and reassembly, upper layers SHOULD support fragmentation and reassembly." should've been revised. Next version (-04) is going to reflect this. :) Thanks again.

3. Minor stuff

I will also reflect the typo, "BT-LE" to "NFC" in section 4. Thanks :)

BRs,
Younghwan Choi

-----Original Message-----
From: 6lo [mailto:[email-masked]] On Behalf Of Carles Gomez Montenegro
Sent: Wednesday, May 18, 2016 4:48 PM
To: [email-masked]
Cc: [email-masked]
Subject: [6lo] Comments on draft-ietf-6lo-nfc-03

In 4.2 and 4.5 you mention that NFC networks may follow the "peer-to-peer topology and simple multi-hop topology". I think the multi-hop topology requires a little bit of clarification:

- What is understood as a "simple multi-hop topology" as opposed to the "complicated mesh topology" mentioned in the document?

- Would the simple multi-hop topology follow the mesh-under or the route-over approach?

(Depending on the responses, the multi-hop functionality in RFC 6775 may be needed.)

2. Fragmentation
****************

However, section 4.8 says that RFC 4944 fragmentation is not required. Is maybe the text in section 3.2 pending an update?

3. Minor
********

Thanks!

Carles

_______________________________________________
6lo mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lo

---

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Thu, 19 May 2016 08:39:41 +0200

Hi Younghwan,

Thanks a lot for your responses!

Cheers,

Carles

> First of all, NFC supports only direct connections between two devices in
> link layers. For the connections, three types of the NFC modes, "p2p, tag
> read/write, card emulation mode" can be used. However, ipv6-over-nfc can
> be only achieved by p2p mode ("p2p mode" is just named by  NFC-Forum
> (http://nfc-forum.org/what-is-nfc/what-it-does/, this is a little bit
> different from "p2p communications between two endpoints in network
> layers" we usually say).  If needed, I'm going to reflect your comment to
> clarify meaning of p2p in NFC-forum in next version (-04). Thanks. :)
> Thus, p2p mode in NFC-Forum does not mean multi-hop topology. However, by
> using ipv6-over-nfc adaptation layer, we can make multi-hop topologies
> with 3 or more nfc-enabled devices with routing-over approach.
>
> 2. about Fragmentation..
>
> At the beginning of this draft, we didn't think of extended MTU in NFC
> link layer. So NFC link layer should be supported from ipv6-over-nfc
> fragmentation schemes at that time. However, at the 3rd version (-02) of
> the draft, contexts about extended MTU of NFC were added, and FAR was not
> necessary any more. At that time, "Since LLCP does not support
> fragmentation and reassembly, upper layers SHOULD support fragmentation
> and reassembly." should've been revised. Next version (-04) is going to
> reflect this. :) Thanks again.
>
> 3. Minor stuff
>